diff --git a/usr/bin/steamos-select-branch b/usr/bin/steamos-select-branch
index 35aa9e9..4d4d7cb 100755
--- a/usr/bin/steamos-select-branch
+++ b/usr/bin/steamos-select-branch
@@ -1,12 +1,5 @@
 #!/usr/bin/bash
 
-# Hook for custom OS branch script
-STEAMOS_BRANCH_SCRIPT="/usr/libexec/os-branch-select"
-if [ -f $STEAMOS_BRANCH_SCRIPT ] ; then
-	# Call branch script from the OS
-	${STEAMOS_BRANCH_SCRIPT} $@
-else
-	# Simply call shutdown on the client
-	echo "No branch script was found, branches won't be visible in the SteamUI"
-fi
+# Not needed steam branches for LunaOS
+echo "Branches not support."
 
diff --git a/usr/bin/steamos-update b/usr/bin/steamos-update
index acc3e9d..0eafa94 100755
--- a/usr/bin/steamos-update
+++ b/usr/bin/steamos-update
@@ -1,38 +1,4 @@
 #!/usr/bin/bash
 
-# The Steam client is known to call this script with the following parameter combinations:
-# steamos-update --supports-duplicate-detection     -- should do nothing
-# steamos-update --enable-duplicate-detection check -- should check for update
-# steamos-update check                              -- should check for update
-# steamos-update --enable-duplicate-detection       -- should perform an update
-# steamos-update                                    -- should perform an update
-
-
-while [[ $# -gt 0 ]]; do
-  case $1 in
-    check)
-      CHECK=1
-      shift
-      ;;
-    --supports-duplicate-detection)
-      EXIT=1
-      shift
-      ;;
-    *)
-      shift
-      ;;
-  esac
-done
-
-
-if command -v frzr-deploy > /dev/null; then
-	if [ -n "$CHECK" ]; then
-		frzr-deploy --check
-	elif [ -n "$EXIT" ]; then
-		exit 0
-	else
-		frzr-deploy --steam-progress
-	fi
-else
-    exit 7 # tells Steam client there is no update to perform
-fi
+# skip check update
+exit 7 # tells Steam client there is no update to perform
